Package: org.gradle.play

## [Java] Interface PublicAssets

- org.gradle.api.BuildableModelElement

- All Superinterfaces:
    Buildable, BuildableModelElement

  A set of public assets added to a binary.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addAssetDir(File resourceDir)` Add an asset directory to this binary.
    `Set<File>` | `getAssetDirs()` A set of asset directories for this binary.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface BuildableModelElement` | `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`
    `interface Buildable` | `getBuildDependencies`

- - ### Method Detail

    - #### public void addAssetDir(File resourceDir)

      Add an asset directory to this binary.

    - #### public Set<File> getAssetDirs()

      A set of asset directories for this binary.